<?php
namespace App\Factory;

use Doctrine\DBAL\Connection;

class Delay 
{
	private $connection;

	public function __construct(Connection $connection) 
	{
		$this->connection = $connection;
	}

	public function getStore($cdFilial) 
	{
		$sql = "
			SELECT 
				L.CDLOJA, 
				L.NMLOJA, 
				L.CDFILIAL, 
				L.HRTEMPOATRASO, 
				F.NMFILIAL
			FROM 
				LOJA L 
				JOIN FILIAL F ON L.CDFILIAL = F.CDFILIAL
			WHERE
				((INSTR(:CDFILIAL, L.CDFILIAL) > 0) OR 'T' = :CDFILIAL)
			ORDER BY 
				L.CDFILIAL";

		$stmt = $this->connection->prepare($sql);
		$stmt->bindValue("CDFILIAL", $cdFilial);
		$result = $stmt->executeQuery();
		return $result->fetchAllAssociative();
	}

	public function updateDelay($paramsUpdate) 
	{
		$sql = "
			UPDATE 
				LOJA
		   	SET 
				HRTEMPOATRASO = :HRTEMPOATRASO
		 	WHERE 
				CDFILIAL = :CDFILIAL
		   		AND CDLOJA = :CDLOJA";

		$stmt = $this->connection->prepare($sql);
		$stmt->bindValue("CDFILIAL", $paramsUpdate['cdFilial']);
		$stmt->bindValue("CDLOJA", $paramsUpdate['cdLoja']);
		$stmt->bindValue("HRTEMPOATRASO", $paramsUpdate['hrTempoAtraso']);
		$stmt->executeQuery();
	
	}
}